$sourcePath = "D:\Pasta1"

$destinationPath = "D:\Pasta2"

$files = Get-ChildItem -Path $sourcePath -Recurse -Filter "*.*  

foreach($file in $files){  

    $sourcePathFile = $file.FullName  

    $destinationPathFile = $file.FullName.Replace($sourcePath,  $destinationPath)  

    $exists = Test-Path $destinationPathFile  

    if(!$exists){  

        $dir = Split-Path -parent $destinationPathFile  

        if (!(Test-Path($dir))) { New-Item -ItemType directory -Path $dir }  

        Copy-Item -Path $sourcePathFile -Destination $destinationPathFile -Recurse -Force  

    }  

    else{  

        $isFile = Test-Path -Path $destinationPathFile -PathType Leaf  

        if(!$isFile){    

            Copy-Item -Path $sourcePathFile -Destination $destinationPathFile -Recurse -Force  

        }  

    }  

}  